# plik konfiguracyjny proftpd do dzialania z panelem mailadmin
# wymaga bazy poczta zaoonej do panelu
# nie zawiera quoty

ServerName			"FTP Serwer"
ServerType			standalone
DefaultServer			on

# Port 21 is the standard FTP port.
Port				21

# Don't use IPv6 support by default.
UseIPv6                         off

# Umask 022 is a good standard umask to prevent new dirs and files
# from being group and world writable.
Umask				022

# To prevent DoS attacks, set the maximum number of child processes
# to 30.  If you need to allow more than 30 concurrent connections
# at once, simply increase this value.  Note that this ONLY works
# in standalone mode, in inetd mode you should use an inetd server
# that allows you to limit maximum number of processes per service
# (such as xinetd).
MaxInstances			30

# Set the user and group under which the server will run.
User				nobody
Group				nobody


# Normally, we want files to be overwriteable.
AllowOverwrite		on

# Bar use of SITE CHMOD by default
#<Limit SITE_CHMOD>
#  DenyAll
#</Limit>

# ponizszy wpis nie pozwala na wyjscie poza katalog usera
DefaultRoot ~

# Obejcie nie udokumentowanego bug-a w wersji 1.3.3
# sprawiajcego problemy z logowaniem userw systemowych
SQLOptions noDisconnectOnError

# The passwords in MySQL are encrypted using CRYPT
SQLAuthTypes            Crypt
SQLAuthenticate         users

# nazwa-bazy@localhost user haslo
SQLConnectInfo  poczta@localhost poczta twoje_haslo

# Here we tell ProFTPd the names of the database columns in the "usertable"
# we want it to interact with. Match the names with those in the db
SQLNamedQuery pytaj SELECT "CONCAT(nazwa, '@', domena), haslo, uid, gid, homedir, shell from skrzynki where CONCAT(nazwa, '@', domena) like '%U' and blok_ftp = '0'"
SQLUserInfo custom:/pytaj

# Here we tell ProFTPd the names of the database columns in the "grouptable"
# we want it to interact with. Again the names match with those in the db
#SQLGroupInfo    ftpgroup groupname gid members

# set min UID and GID - otherwise these are 999 each
#SQLMinID       500
#SQLDefaultGID  50
SQLDefaultUID	5001
SQLDefaultGID	50
SQLMinUserGID	50

# create a user's home directory on demand if it doesn't exist
#SQLHomedirOnDemand on #(obsolete)
CreateHome	on

# Update count every time user logs in
SQLLog PASS updatecount
#SQLNamedQuery updatecount UPDATE "count=count+1, accessed=now() WHERE userid='%u'" ftpuser
SQLNamedQuery updatecount UPDATE "pol_ftp = CURDATE() WHERE CONCAT(nazwa, '@', domena) like '%u'" skrzynki

# Update modified everytime user uploads or deletes a file
#SQLLog  STOR,DELE modified
#SQLNamedQuery modified UPDATE "modified=now() WHERE userid='%u'" ftpuser


# User quotas
# ===========
#QuotaEngine on
#QuotaDirectoryTally on
#QuotaDisplayUnits Mb
#QuotaShowQuotas on

#SQLNamedQuery get-quota-limit SELECT "CONCAT(nazwa, '@', domena), quota_type, per_session, limit_type, bytes_in_avail, byte_out_avail, bytes_xfer_avail, files_in_avail, files_out_avail, files_xfer_avail FROM skrzynki WHERE CONCAT(nazwa, '@', domena) like '%{0}' AND quota_type = '%{1}'"

#SQLNamedQuery get-quota-tally SELECT "CONCAT(nazwa, '@', domena), quota_type, bytes_in_used, bytes_out_used, bytes_xfer_used, files_in_used, files_out_used, files_xfer_used FROM skrzynki WHERE CONCAT(nazwa, '@', domena) like '%{0}' AND quota_type = '%{1}'"

#SQLNamedQuery update-quota-tally UPDATE "bytes_in_used = bytes_in_used + %{0}, bytes_out_used = bytes_out_used + %{1}, bytes_xfer_used = bytes_xfer_used + %{2}, files_in_used = files_in_used + %{3}, files_out_used = files_out_used + %{4}, files_xfer_used = files_xfer_used + %{5} WHERE CONCAT(nazwa, '@', domena) like '%{0}' AND quota_type = '%{7}'" skrzynki

#SQLNamedQuery insert-quota-tally INSERT "%{0}, %{1}, %{2}, %{3}, %{4}, %{5}, %{6}, %{7}" skrzynki

#QuotaLimitTable sql:/get-quota-limit
#QuotaTallyTable sql:/get-quota-tally/update-quota-tally/insert-quota-tally

RootLogin off
RequireValidShell off

# Some logging formats
#
#LogFormat            default "%h %l %u %t \"%r\" %s %b"
#LogFormat            auth    "%v [%P] %h %t \"%r\" %s"
#LogFormat            write   "%h %l %u %t \"%r\" %s %b"

# Log file/dir access
#ExtendedLog         		/var/log/proftpd.access_log    WRITE,READ write

# Record all logins
#ExtendedLog          		/var/log/proftpd.auth_log      AUTH auth

# Paranoia logging level....
#ExtendedLog          		/var/log/proftpd.paranoid_log  ALL default
